<?
if(isset($_GET['add']) && mysql_result(mysql_query("SELECT COUNT(*) FROM `kolhoz_turnir` WHERE `active` = '1'"),0)==0)
{
echo "<div class='event'><h1><a href='/admin-$admin'>$admin_name</a> / Добавить</h1></div>";
echo '<div class="content"><div class="block">';
if(isset($_POST['ok']))
{
if(isset($_FILES['file']))
{
$type = $_FILES['file']['type'];
if ($type!=='image/jpeg' && $type!=='image/jpg' && $type!=='image/gif' && $type!=='image/png'){$err=1;err_game('Это не картинка');}
}
else {$err=1;err_game('Выберите картинку');}
$name=hsc($_POST['name']);
$nameexp=hsc($_POST['nameexp']);
$daily=floatval($_POST['daily'])*86400+time();
$rating=floatval($_POST['rating']);
$rubies=intval($_POST['rubies']);
$money=floatval($_POST['money']);
$timekey=intval($_POST['timekey']);
$procent=intval($_POST['procent']);
$cena=intval($_POST['cena']);
if($cena<=0){$err=1;err_game('Неправильная цена');}
if($procent<=0 || $procent>100){$err=1;err_game('Неправильный процент');}
if(strlen2($name)<4){$err=1;err_game('Слишком короткое имя');}
if(!is_numeric($_POST['daily']) || intval($_POST['daily'])<1){$err=1;err_game('Неверная длительность');}
if (!isset($err))
{
$tmp = $_FILES['file']['tmp_name'];
mysql_query("INSERT INTO `kolhoz_turnir` SET `name` = '$name',`nameexp` = '$nameexp',`procent`='$procent',`cena`='$cena',`time`='$daily', `rating` = '$rating', `rubies` = '$rubies', `money` = '$money', `timekey`='$timekey'") or die(mysql_error());
$time = time();
mysql_query("INSERT INTO `kolhoz_mail` SET `id_user` = '1', `id_kont` = '0', `msg` = 'Был запущен турнир. Приятно игры ;)', `time` = '$time', `type` = 'to'");
$id=mysql_insert_id();
move_uploaded_file($tmp, 
"images/turnir/$id.png");
header("location: /admin-$admin");
}
}
echo "<form method='post' enctype='multipart/form-data'>\n";
echo "Имя:<br /><input name=\"name\" type=\"text\" maxlength='32' value='' /><br />\n";
echo "Длительность <span class='minor'>(кол-во суток):</span><br /><input name=\"daily\" type=\"text\" maxlength='32' value=''/><br />\n";
echo "Вознаграждение(рубины):<br /><input name=\"rubies\" type=\"text\" maxlength='32' value='' /><br />\n
Вознаграждение(монеты):<br /><input name=\"money\" type=\"text\" maxlength='32' value='' /><br />\n
Вознаграждение(опыт):<br /><input name=\"rating\" type=\"text\" maxlength='32' value='' /><br />\n
Вознаграждение(Ключ от погреба (кол-во суток)):<br /><input name=\"timekey\" type=\"text\" maxlength='32' value='' /><br />\n
Стоимость участия в рубинах:<br /><input name=\"cena\" type=\"text\" maxlength='32' value='' /><br />\n
Название трофея:<br /><input name=\"nameexp\" type=\"text\" maxlength='32' value='' /><br />\n
Вероятность выпадения трофея в процентах:<br /><input name=\"procent\" type=\"text\" maxlength='32' value='' /><br />\n
Иконка трофея (потом можно изменить):<br/><input type='file' name='file' /><br/>\n
";
echo "<input value='Добавить' type='submit' name='ok' /><br />\n";
echo "</form>\n";
echo "</div>";
include_once 'inc/foot.php';
exit;
}





if(isset($_GET['edit']) && intval($_GET['edit'])!=NULL && mysql_result(mysql_query("SELECT COUNT(*) FROM `kolhoz_turnir` WHERE `id` = '".intval($_GET['edit'])."'"),0)!=0)
{
$edit=mysql_fetch_array(mysql_query("SELECT * FROM `kolhoz_turnir` WHERE `id` = '".intval($_GET['edit'])."'"));


if(isset($_GET['change_img']))
{
echo "<div class='event'><h1><a href='/admin-$admin/edit-$edit[id]'>$admin_name</a> / Заменить изображение</h1></div>";
echo '<div class="content"><div class="block">';
if(isset($_POST['ok']))
{
if(isset($_FILES['file']))
{
$type = $_FILES['file']['type'];
if ($type!=='image/jpeg' && $type!=='image/jpg' && $type!=='image/gif' && $type!=='image/png'){$err=1;err_game('Это не картинка');}
}
else {$err=1;err_game('Выберите картинку');}
if (!isset($err))
{
$tmp = $_FILES['file']['tmp_name'];
unlink("images/turnir/$edit[id].png");
move_uploaded_file($tmp, 
"images/turnir/$edit[id].png");
header("Location:/admin-$admin/edit-$edit[id]");
}
}
echo "<form method=\"post\" enctype='multipart/form-data'>\n";
echo "Иконка (16x16):<br/><input type='file' name='file' /><br/>\n";
echo "<input value='Сохранить' type='submit' name='ok' /></form>\n";
echo "</div>";
include_once 'inc/foot.php';
exit;
}

if(isset($_GET['time_edit']))
{
if(isset($_POST['daily']) || isset($_POST['hours']) || isset($_POST['minute']) || isset($_POST['second']))
{
if(isset($_POST['daily'])) $time_mm=86400;
else if(isset($_POST['hours'])) $time_mm=3600;
else if(isset($_POST['minute'])) $time_mm=60;
else if(isset($_POST['second'])) $time_mm=1;
if(hsc($_POST['type'])=="plus") $update_time=$edit[time]+$time_mm*floatval($_POST['time']); else $update_time=$edit[time]-$time_mm*floatval($_POST['time']);
mysql_query("UPDATE `kolhoz_turnir` SET `time` = '$update_time' WHERE `id` = '$edit[id]'")or die(mysql_error());
header("Location:/admin-$admin/edit-$edit[id]/time_edit/$update_time");
}
echo "<div class='event'><h1><a href='/admin-$admin/edit-$edit[id]'>$admin_name</a> / Редактировать длительность</h1></div>";
echo '<div class="content"><div class="block">';
echo "Дата окончания: ".vremja($edit['time'])."";
echo "
<form method=\"post\">\n<select name=\"type\"><option selected=\"selected\" value=\"plus\">Плюс</option><option
value=\"minus\">Минус</option><input name=\"time\" type=\"text\" size='7' maxlength='10' value='' /> День
<input value='Ok' type='submit' name='daily' /></form>\n
";
echo "
<form method=\"post\">\n<select name=\"type\"><option selected=\"selected\" value=\"plus\">Плюс</option><option
value=\"minus\">Минус</option><input name=\"time\" type=\"text\" size='7' maxlength='10' value='' /> Час
<input value='Ok' type='submit' name='hours' /></form>\n
";
echo "
<form method=\"post\">\n<select name=\"type\"><option selected=\"selected\" value=\"plus\">Плюс</option><option
value=\"minus\">Минус</option><input name=\"time\" type=\"text\" size='7' maxlength='10' value='' /> Минута
<input value='Ok' type='submit' name='minute' /></form>\n
";
echo "
<form method=\"post\">\n<select name=\"type\"><option selected=\"selected\" value=\"plus\">Плюс</option><option
value=\"minus\">Минус</option><input name=\"time\" type=\"text\" size='7' maxlength='10' value='' /> Секунда
<input value='Ok' type='submit' name='second' /></form>\n
";
echo "</div>";
include_once 'inc/foot.php';
exit;
}


echo "<div class='event'><h1><a href='/admin-$admin'>$admin_name</a> / Редактировать</h1></div>";
echo '<div class="content"><div class="block">';

if(isset($_POST['ok']))
{
$name=hsc($_POST['name']);
if(strlen2($name)<1){$err=1;err_game('Слишком короткое название');}
$work=hsc($_POST['nameexp']);
if(strlen2($work)<1){$err=1;err_game('Слишком короткое название экспоната');}
$money=floatval($_POST['money']);
$rating=floatval($_POST['rating']);
$rubies=intval($_POST['rubies']);
$timekey=intval($_POST['timekey']);
$procent=intval($_POST['procent']);
$cena=intval($_POST['cena']);
if($cena<=0){$err=1;err_game('Неправильная цена');}
if($procent<=0 || $procent>100){$err=1;err_game('Неправильный процент');}
if(strlen2($name)<4){$err=1;err_game('Слишком короткое имя');}
if (!isset($err))
{
mysql_query("UPDATE `kolhoz_turnir` SET `name` = '$name', `nameexp` = '$work',`procent`='$procent',`cena`='$cena', `rating` = '$rating', `money` = '$money', `rubies` = '$rubies', `timekey` = '$timekey' WHERE `id` = '$edit[id]'");
header("Location:/admin-$admin");
}
}
echo "<ul>";
echo "<li style='padding-bottom:8px'>";
echo "<img  src='images/turnir/$edit[id].png' alt='*' class='portrait'>";
echo "<div class='small'>";
echo "<a href='/admin-$admin/edit-$edit[id]/change_img'>Заменить изображение</a>";
echo "<li><img  src='images/icons/clock.png' alt='*' class='portrait'> <a href='/admin-$admin/edit-$edit[id]/time_edit'><span class='small'>Редактировать длительность</a></small></li>";
echo "</li></ul><div style='clear:both'></div>";
echo "<form method=\"post\">\n";
echo "Назвние турнира:<br /><input name=\"name\" type=\"text\" maxlength='32' value='$edit[name]' /><br />\n";
echo "Название трофея:<br /><input name=\"nameexp\" type=\"text\" maxlength='32' value='$edit[nameexp]' /><br />\n";
echo "Монеты:<br /><input name=\"money\" type=\"text\" maxlength='32' value='$edit[money]'/><br />\n";
echo "Опыт:<br /><input name=\"rating\" type=\"text\" maxlength='32' value='$edit[rating]'/><br />\n";
echo "Рубины:<br /><input name=\"rubies\" type=\"text\" maxlength='32' value='$edit[rubies]'/><br />\n";
echo "Ключ от погреба:<br /><input name=\"timekey\" type=\"text\" maxlength='32' value='$edit[timekey]'/><br />\n";
echo "Стоимость участия в рубинах:<br /><input name=\"cena\" type=\"text\" maxlength='32' value='$edit[cena]' /><br />\n";
echo "Вероятность выпадения трофея в процентах:<br /><input name=\"procent\" type=\"text\" maxlength='32' value='$edit[procent]' /><br />\n";
echo "<input value='Сохранить' type='submit' name='ok' /></form>\n";
echo "<div><br/>&raquo; <a href='/admin-$admin/del-$edit[id]'>Удалить</a></div>";
echo "</div>";
include_once 'inc/foot.php';
exit;
}




if(isset($_GET['del']) && mysql_result(mysql_query("SELECT COUNT(*) FROM `kolhoz_turnir` WHERE `id` = '".intval($_GET['del'])."'"),0)!=0)
{
$del=mysql_fetch_array(mysql_query("SELECT * FROM `kolhoz_turnir` WHERE `id` = '".intval($_GET['del'])."'"));
if(isset($_GET['ok']))
{
mysql_query("DELETE FROM `kolhoz_turnir` WHERE `id` = '$del[id]'");
unlink("images/turnir/$del[id].png");
header("Location:/admin-$admin");
}
podtv("admin-$admin/del-$del[id]/ok","admin-$admin");
echo "</div>";
include_once 'inc/foot.php';
exit;
}

echo "<div class='event'><h1><a href='/admin-list'>Админка</a> / $admin_name</h1></div>";
echo '<div class="content"><div class="block">';


$k_post = mysql_result(mysql_query("SELECT COUNT(*) FROM `kolhoz_turnir` WHERE `active`='1' "),0);
if ($k_post==0)
{
echo "Список пуст...";
}
$k_page=k_page($k_post,$set['p_str']);
$page=page($k_page);
$start=$set['p_str']*$page-$set['p_str'];
$q=mysql_query("SELECT * FROM `kolhoz_turnir` WHERE `active`='1' ORDER BY `id` DESC LIMIT $start, $set[p_str]");
while($post=mysql_fetch_array($q))
{
echo "<li><img width='16' height='16' src='images/turnir/$post[id].png' alt='*'> <a href='/admin-$admin/edit-$post[id]'><span>$post[name]</span></a> (<img width='16' height='16' src='images/icons/ruby.png' alt='*'> <span>$post[rubies]</span> <img width='16' height='16' src='images/icons/experience.png' alt='*'>
<span>$post[rating]</span> <img width='16' height='16' src='images/icons/money.png' alt='*'> <span>$post[money]</span>  <img width='16' height='16' src='images/icons/pkey.png' alt='*'> <span>$post[timekey] д.</span> <img width='16' height='16' src='images/icons/clock.png' alt='*'> <span>".(vremja($post['time']))."</span>)</li>";
}
if ($k_page>1)str("?admin=$admin&",$k_page,$page); // Вывод страниц
if(mysql_result(mysql_query("SELECT COUNT(*) FROM `kolhoz_turnir` WHERE `active` = '1'"),0)==0)echo "<div><a href='/admin-$admin/add'>Создать турнир</a></div>";
echo "</ul></div>";
include_once 'inc/foot.php';
exit;
?>